Bug 683593 - Recursive Platform Compatible Group omits JBoss AS 5 instances from the groups navigation view
Recursive Platform Compatible Group omits JBoss AS 5 instances from the group...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Resource Grouping (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-09 14:34 EST by Larry O'Leary
Modified: 2013-09-02 03:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON 2.4.0 Linux platform JON/RHQ Server in inventory 1 or more JBoss EAP 5+ instances in inventory
Last Closed: 2013-09-02 03:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2011-03-09 14:34:58 EST
Description of problem:
When viewing a platform recursive compatible group, all JBoss AS 5 instances are missing from the groups navigation tree. All JBoss AS 4 instances appear just find under the JBossAS Server node.

Version-Release number of selected component (if applicable):
3.0.0 (JON 2.4.0)


How reproducible:
Everytime

Steps to Reproduce:
1. Ensure that RHQ Server has been added to inventory
2. On the same platform that contains the RHQ Server, install an EAP 5 instance and add it to RHQ inventory
3. From RHQ UI, create a compatible group:
     Groups -> New Group
       Name: <platform> Platforms
       Contains: Compatible Resources  -  Platform Type: <platform>
       Recursive: Yes
4. Under Group Members, click "Add to Group" button
5. Check all available platforms and click the right arrow to add them to the Add Resource list
6. Click Ok

Actual results:
Left navigation tree does not reveal the JBoss EAP 5 instance that is installed on the platform. Note that JBoss AS 4 RHQ Server instance does appear under JBossAS Server node.

Expected results:
Left navigation tree should contain a node for JBossAS 5 Server or JBoss AS 5 servers should be listed under JBossAS Server node.
Comment 1 John Mazzitelli 2011-04-01 11:51:10 EDT
this should be fixed in the new GWT UI.
Comment 2 Sunil Kondkar 2011-05-31 05:43:00 EDT
Verified on build101 (Version: 4.1.0-SNAPSHOT Build Number: 712d0e1)

Installed JBoss EAP 5 on a platform and created a compatible group of platforms. Navigated to the group created and verified that the JBoss EAP 5 instance is displayed in the left navigation tree.

Marking as verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:26:11 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.